import RootModel from "./../Models/RootModel.js";
import { IErrorData } from "../Data/Interfaces.js";
export declare enum FeatureBlendLayoutType {
    Panels = "Panels",
    Tabbed = "Tabbed",
    Simple = "Simple"
}
export interface IFeatureBlendViewOptions {
    layout: FeatureBlendLayoutType;
}
export declare class FeatureBlendView extends Jade.UI.Control {
    private m_layout;
    private m_source;
    constructor(options: IFeatureBlendViewOptions);
    private get layout();
    private set layout(value);
    private get layoutType();
    protected get source(): RootModel;
    protected set source(value: RootModel);
    loadModel(model: RootModel): void;
    commit(): void;
    loadErrors(errors?: Array<IErrorData>): void;
    private layout_init;
    private ensureLayout;
}
